Position lag monitoring (A1)

OverviewPAGEREF _Toc307299669 \h2

Description 6

Type 1: standard method 7

Type 2: linear method 8

Type 4: velocity independent method 9

Parameters 12

Overview 12

Description 12

More:

button Overview

button Description

button Parameters


Overview

Task

Classification within the overall system

Both at standstill and also during motion, the axes of the NC control are permanently monitored to determine whether a static or dynamic variable exceeds a certain limit. The control reports violation of a limit in an error message.

The control supports monitoring of the position variables, among other things:

q Position lag monitoring

q Position

q Software limit switch

q Collision monitoring

q Dynamics monitoring

The parameters of the individual monitoring functions are defined in the axis parameter record.


Description

Task

The position lag monitoring function monitors whether the current position lag of an axis exceeds a limit. The difference between the output command value (manipulated variable) and the actual value reported back is referred to as the position lag.

Monitoring takes place both at

q standstill and also during

q motion of an axis.

At standstill, the axis can be moved out of the standstill position by application of external force to the mechanical system. As soon as the axis position exceeds the standstill tolerance window, the position lag monitoring function generates an error message (P-ERR-70081) and initiates corresponding measures for shutting down the axis.

When the axis moves, the dynamic position lag monitoring function calculates the permissible position lag for the current travel speed. If the permissible position lag is exceeded, an error message (P-ERR-70020) is issued and corresponding measures for shutting down the axis are initiated.

Prerequisites

If position lag monitoring has been selected, it is active only if

q the axis is being controled (controller enabled) and

q slaving mode is not set for the axis.

Position lag monitoring can be used both for analog drives for which the CNC takes care of position control and also for digital drives that perform position control themselves. If digital drives perform position lag monitoring themselves, monitoring can additionally be realised by the CNC. In most cases, however, this is no longer necessary.

Measures in the event of exceeding of the permissible position lag

The control initiates the position measures if the permissible position lag of an axis is exceeded:

q Output of an error message belonging to fault reaction class 5 [DIAG]

q The affected axis is stopped with deceleration that can be set in the axis parameter list.

q All axes that are interpolated with the affected axis in the contouring combination are stopped.

q The PLC can take further measures via the control interface.

Methods

The NC control offers two methods with which the maximum permissible position lag is calculated:

q Type 1: standard method

q Type 2: linear method

q Type 4: velocity independent method

The position lag can be monitored with all methods during standstill. The permissible position lag of a moving axis is calculated in the both first methods depending on the set speed. The standard method (type 1) uses a parameter-definable filter. The linear method (type 2) is based on the theoretical position lag, which can be enlarged up to a factor of 2. With both methods, the permissible position lag can be shifted in time via a timer.

With method 4 even for a moving axis the position lag is checked against a veleocity independent constant value. This method is useful for axes that use feedforward.

Parameterisation

Position lag monitoring can be parameterised individually for each axis by means of axis parameter settings.

Switching on/off

Position lag monitoring is switched on or off with the P-AXIS-00172 parameter (parameter = 0). When monitoring is off, no maximum permissible position lag is calculated and no error message is issued.

Selection

The position lag monitoring type is set with the P-AXIS-00172 parameter. The position types of position lag can be parameterised:

q No position lag monitoring

q Type 1: standard method

q Type 2: linear method

q Type 4: velocity independent method

Deactivating reaction

To set position lag monitoring, it is necessary to calculate and display the limit without monitoring actually taking place. A reaction by position lag monitoring is deactivated for this purpose. However, the permissible position lags are still calculated and displayed with the chosen method. However, violation of the permissible position lag does not result in any reaction by the control and above all serves to parameterise position lag monitoring during commissioning.

Position lag monitoring is deactivated by setting the P-AXIS-00176 parameter to the value 1.

Causal system,
system run time

The theoretical position lag [image] depends on the set speed [image] and the gain factor [image] as follows.

On the real axis, however, there is a real position lag, which has a delay with respect to the theoretical position lag. This delay is caused by a system-related cycle shift in the control system's position controller and by the system's mechanical time constant (Figure 0-1).

As the methods for calculating the permissible position lag do not take this influence into account, the permissible position lag can be shifted with an additional timer (PT1). This timer is parameterised with the P-AXIS-00170 parameter.

Figure 0-1: Shifting the real position lag

Run time with digital drives

In the case of a digital drive, the NC can additionally perform position lag monitoring. Due to the run time of a drive bus and processing in the drive itself, after output of the command value the actual value is only read in by the CNC a few cycles later. In this case, it is important that the position lag is determined as the difference between command values and actual values that belong together in terms of timing.

The delay is specified with the P-AXIS-00191 parameter.

Figure 0-2: Delaying of the command values for calculation of the position lag

More:

button Type 1: standard method

button Type 2: linear method

button Type 4: velocity independent method


Type 1: standard method

Description

The standard method (type 1) is selected by setting the P-AXIS-00172 parameter to the value 1.

This method uses a parameter-definable estimation filter to calculate the permissible position lag (Figure 0-3). With the time constant P-AXIS-00167 of the filter, this can be parameterised. The permissible position lag is calculated depending on the speed and lies within the parameter-definable range. At standstill, the minimum permissible position lag P-AXIS-00169 describes the maximum permissible position lag and, in the case of dynamic position lag monitoring, the low limit of the permissible position lag. The P-AXIS-00168 parameter is the maximum permissible position lag. A time offset of the permissible position lag can be realised with the P-AXIS-00170 parameter.

: calculated permissible position lag

: current travel speed

The standard method (type 1) does not take the KV factor into account when calculating the maximum position lag. This means that position lag monitoring must be checked and possibly defined again after a change in the KV factor.

Figure 0-3: Position lag monitoring type 1  standard method

Recommended parameter definition

P-AXIS-00169 ≥ 5 · ∆sStandstill

∆sStandstill: real position lag at standstill (even when the axis is at standstill, due to the resolution of the encoder and of the measurement system we arrive at a remaining position lag ∆sStandstill).


Type 2: linear method

Description

The linear method (type 2) is selected by setting the P-AXIS-00172 parameter to the value 2.

The linear method is based on the theoretical position lag, which is calculated with the position formula:

At standstill, the P-AXIS-00169 defines the permissible position lag. For a moving axis, the low limit of the permissible position lag is set with the P-AXIS-00168 parameter. Above this limit, the permissible position lag is calculated as follows:

: calculated permissible position lag

: gain factor of the position controller

: current travel speed

The P-AXIS-00167 parameter describes a factor with which the dynamic component of the permissible position lag can be influenced.

Figure 0-4: Position lag monitoring type 2 - linear method

Recommended parameterisation

P-AXIS-00169 ≥ 5 · ∆sStandstill

∆sStandstill: real position lag at standstill


Type 4: velocity independent method

Description

If feedforward is used for an axis position lag is almost zero independently from the velocity if feedforward is set up correctly and 100 % feedforward is used.

For these axes the types of feedforward monitoring described in the former sections calculate especially for high axis velocities a position lag limit that is to big.

In order to have position lag monitoring also for these axes with type 4 the position lag limit value is constant for a moving axis.

This method is selected by setting P-AXIS-00172 to 4.

If the axis is in standstill the position lag limit value is P-AXIS-00169, if the axis is moving the position lag limit value is P-AXIS-00168.

This method is only useful for axes that use permanently 100 % feedforward.


Parameters

More:

button Overview

button Description


Overview

ID | Parameter | Description
P-AXIS-00167 | slep_dyn | Factor for dynamic position lag monitoring
P-AXIS-00168 | slep_max | Maximum position lag
P-AXIS-00169 | slep_min | Minimum position lag
P-AXIS-00170 | slep_time_const | Time constant for dynamic position lag monitoring
P-AXIS-00172 | slep_ueberw_typ | Type of dynamic position lag monitoring
P-AXIS-00176 | suppress_pos_lag_error | Suppressoin of position lag monitoring, pure calculation and display of the limit
P-AXIS-00191 | nbr_delay_cycles | Number of delays between the command and actual values due to the bus run time


Description

P-AXIS-00167 | Factor for dynamic position lag monitoring
Parameter | getriebe[i].slep_dyn
Description | The parameter has the position meaning depending on the set position lag monitoring P-AXIS-00172 : Type 1: standard method Time constant of an estimation filter for dynamic position lag monitoring Type 2: linear method Factor which defines the dynamic components of the permissible position lag in addition to the theoretical component
Data type | SGN16
Data range | Type 1: 700 ≤ P-AXIS-00167 < 1024 Type 2: 0 ≤ P-AXIS-00167 < 1024
Dimension | -
Default | 1000
Remarks | If the value is > 1024, a warning is issued and the value is set to 1024, i.e. position lag monitoring is off. This parameter must be set by recording the theoretical and real position lags.

P-AXIS-00168 | Maximum position lag
Parameter | getriebe[i].slep_max
Description | Type 1: standard method § Maximum permissible position lag Type 2: linear method § Low limit of the permissible position lag in the case of dynamic position lag monitoring Type 4: velocity independent method § Limit of the permissible position lag if the axis is moving
Data type | SGN32
Data range | 0 ≤ P-AXIS-00168 ≤ MAX(SGN32)
Dimension | translatory: 0.1μm | rotatory: 0.0001°
Default | 5000000
Remarks | -

P-AXIS-00169 | Minimum position lag
Parameter | getriebe[i].slep_min
Description | Type 1: standard method § Maximum permissible position lag at standstill § Low limit of the permissible position lag in the case of dynamic position lag monitoring Type 2: linear method § Maximum permissible position lag at standstill Type 4: velocity independent method § Maximum permissible position lag at standstill
Data type | SGN32
Data range | 1 ≤ P-AXIS-00169 ≤ MAX(SGN32)
Dimension | translatory: 0.1μm | rotatory: 0.0001°
Default | 5000000
Remarks | -

P-AXIS-00170 | Time constant for dynamic position lag monitoring
Parameter | getriebe[i].slep_time_const
Description | This parameter describes the time constant of a PT1 element with which the permissible position lag is determined after a delay.
Data type | UNS32
Data range | -
Dimension | μs
Default | 0
Remarks | The influence of the acceleration on the position lag during acceleration and deceleration can be compensated with this delay.

P-AXIS-00172 | Type of dynamic position lag monitoring
Parameter | getriebe[i].slep_ueberw_typ
Description | The position lag monitoring type can be selected with this parameter.
Data type | UNS32
Data range | 0: Position lag monitoring off 1: Standard position lag monitoring 2: Linear position lag monitoring 3: Non-linear position lag monitoring
Dimension | -
Default | 0: Position lag monitoring off
Remarks | -

P-AXIS-00176 | Suppressing position lag monitoring
Parameter | lr_param.suppress_pos_lag_error
Description | The position lag monitoring response can be deactivated with this parameter, but the maximum permissible position lag is still calculated and displayed with the chosen method.
Data type | BOOLEAN
Data range | 0: Position lag monitoring is on 1: Position lag monitoring is off
Dimension | -
Default | 0
Remarks | This parameter can be used for commissioning purposes.

P-AXIS-00191 | Actual value delay in the case of a digital drive
Parameter | antr_digital.nbr_delay_cycles
Description | The run time between output of the command values and reading in the associated actual values is also taken into account during calculation of the position lag.
Data type | UNS16
Data range | 0: No delay of actual values > 0: Delay of actual values in cycles
Dimension | Cycles
Default | 0
Remarks | This parameter is currently used for SERCOS drives only.